MODULE Project1;

IMPORT
  SYSTEM, W := Windows, Cl := Classes, C := Controls, F := Forms, I := Images;

TYPE
  Char      = W.Char;
  Boolean   = W.Boolean;
  ShortInt  = W.ShortInt;
  Integer   = W.Integer;
  Longint   = W.Longint;
  Shortreal = W.Shortreal;
  Real      = W.Real;
  Set	    = W.Set;
  String    = W.String;

  TForm*   = POINTER TO RECORD (F.TForm)
    Ctl,Ctl1,Ctl2,Ctl3,Ctl4,Ctl5: C.TControl;
    X,Y: Integer;
    Bitmap: I.TBitmap;
    ImgList: I.TImageList;
    img: I.TGraphics;

    PROCEDURE FormCreate;
    BEGIN

      NEW(Ctl1,SELF);
      Ctl1.align:=C.alBottom;
      Ctl1.color:=0000FFH;

      NEW(Ctl2,SELF);
      Ctl2.align:=C.alRight;
      Ctl2.width := 200;
      Ctl2.color:=00FF00H;

      NEW(Ctl3,Ctl2);
      Ctl3.align:=C.alTop;
      Ctl3.height := 200;
      Ctl3.color:=0FF0000H;
      Ctl3.OnClick := Ctl3Click;

      NEW(Ctl4,Ctl2);
      Ctl4.align:=C.alClient;
      Ctl4.color:=0FF00FFH;
      Ctl4.OnClick := Ctl4Click;

      NEW(Ctl5,SELF);
      Ctl5.left := 20;
      Ctl5.top := 50;
      Ctl5.color:=00FFFFH;

      width := 800;
      height := 600;
      (*NEW(Bitmap);
      Bitmap.LoadFromFile("Menu.bmp");*)

      NEW(ImgList,16,16);
      ImgList.LoadFromFile("Res\icon.bmp");
    END FormCreate;

    PROCEDURE Ctl3Click(Sender: C.TObject);
    BEGIN
      Sender(C.TControl).left := Sender(C.TControl).left + 10;
      Ctl5.visible := TRUE;
    END Ctl3Click;

    PROCEDURE Ctl4Click(Sender: C.TObject);
    BEGIN
      Ctl5.visible := FALSE;
    END Ctl4Click;

    PROCEDURE MouseMove(Shift: Set; X,Y: Integer);
    BEGIN
      SELF.X:=X;
      SELF.Y:=Y;
      W.InvalidateRect(handle,NIL,FALSE);
    END MouseMove;

    PROCEDURE Paint*;
    VAR
      i,x,y: Integer;
    BEGIN(*
      NEW(bmp);
      bmp.Create(100,150);
      bmp.SetPixel(10,10,0FFFFFFH);
      canvas.Draw(5,10,bmp);
      bmp.Free;*)
      (*canvas.Draw(X,Y,Bitmap);*)
      (*img := ImgList.GetImage(0);*)
      i:=0;
      y:=10;
      x:=0;
      WHILE i<ImgList.count DO
        canvas.Draw(15+x*(ImgList.width+5),y,ImgList.GetImage(i));
        IF (i+1) MOD 25 = 0 THEN x:=0; y:=y+20; END;
        INC(i);
        INC(x);
      END;
    END Paint;

  END;

VAR
  result: Integer;
  Form,Form2 : TForm;

BEGIN
  NEW(Form,NIL);
  Form.Show;

  NEW(Form2,NIL);

  C.Run;
END Project1.




