MODULE Forms;

IMPORT
  SYSTEM, W := Windows, C := Controls, G := Graphics;

TYPE
  Char      = W.Char;
  Boolean   = W.Boolean;
  ShortInt  = W.ShortInt;
  Integer   = W.Integer;
  Longint   = W.Longint;
  Shortreal = W.Shortreal;
  Real      = W.Real;
  Set	    = W.Set;
  String    = W.String;

TYPE
  TForm*    = POINTER TO RECORD (C.TControl)
    canvas* : G.TCanvas;

    PROCEDURE & Create*(Parent: C.TControl);
    BEGIN
      Create^(Parent);
      width := 640;
      height:= 480;
      descript:= C.CD_WINDOW;
    END Create;

    PROCEDURE FormCreate*;
    BEGIN
    END FormCreate;

    PROCEDURE FormShow*;
    BEGIN
    END FormShow;

    PROCEDURE CreateHandle;
    BEGIN
      CreateHandle^;
      NEW(canvas,handle);
      canvas.color := color;
      FormCreate;
      C.ControlList.Update(SELF);
    END CreateHandle;

    PROCEDURE CreateParams;
    BEGIN
      style   := W.WS_OVERLAPPEDWINDOW + W.WS_CLIPCHILDREN;
      exstyle := W.WS_EX_APPWINDOW;
    END CreateParams;

    PROCEDURE Show;
    BEGIN
      Show^;
      FormShow;
      C.ControlList.Update(SELF);
    END Show;

    PROCEDURE WMPaint*(wParam, lParam: Integer);
    BEGIN
      canvas.BeginPaint;
      Paint;
      canvas.EndPaint;
    END WMPaint;

  END;

END Forms.




